Subject: bug#38315: closed (Re: bug#38315: 26.3; Emacs manual: please index Alt key for node User Input)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 Nov 2019 11:42:08 +0000

Your bug report

#38315: 26.3; Emacs manual: please index Alt key for node User Input

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38315: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38315
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38315: 26.3; Emacs manual: please index Alt key for node User Input
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 23 Nov 2019 13:41:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 22 Nov 2019 09:36:45 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> I looked for info about the `Alt' key and the `A-'
> modifier, using `i' (with substring matching).
> I was not looking for info specific to MS Windows.
> 
> Luckily, I was pretty sure that there was some info
> about this, even though I couldn't find it by looking
> with `i' for matches for `alt'.  I eventually found
> it by looking for matches for `meta'.
> 
> My search for it was to point users to it who had
> questions about it:
> 
> https://emacs.stackexchange.com/questions/53918/capital-a-meaning-in-emacs-syntax
> 
> https://emacs.stackexchange.com/questions/44889/what-is-the-a-binding

Thanks.  The place where Alt, Hyper, and Super are described is not
"User Input", so the index entry should lead to a different node.

Anyway, I added a few missing index entries for the modifier keys,
including in "User Input".

Subject: 26.3; Emacs manual: please index Alt key for node User Input
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Thu, 21 Nov 2019 13:17:47 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

There are index entries for the Alt key on MS Windows, but there is no
index entry for node `User Input', where it is mentioned in a general
context (not just MS Windows).  Please add an index entry for this.

These are the current index entries containing "alt" that refer to an
Alt key:

<Alt>-<TAB> vs M-<TAB> (MS-Windows)
<AltGr> key (MS-Windows)
Alt key (MS-Windows)
Alt key invokes menu (Windows)
AltGr (MS-Windows)
M-<TAB> vs <Alt>-<TAB> (MS-Windows)

ns-alternate-modifier
ns-right-alternate-modifier
w32-alt-is-meta
w32-pass-alt-to-system
w32-recognize-altgr

(I had to look for "meta" in the index to find the mention of the Alt
key in node `User Input'.)

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.17763
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''